<?php
/* -----------------------------------------------------------------------------
  Plugin     : ColorStat
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

if(!defined('CSTAT_DIR')) define('CSTAT_DIR' , basename(dirname(__FILE__)));
if(!defined('CSTAT_PATH')) define('CSTAT_PATH' , PHPWG_PLUGINS_PATH . CSTAT_DIR . '/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

global $gpc_installed, $gpcNeeded, $lang; //needed for plugin manager compatibility

/* -----------------------------------------------------------------------------
ColorStat needs the Grum Plugin Classe
----------------------------------------------------------------------------- */
$gpc_installed=false;
$gpcNeeded="3.2.0";
if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
{
  include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
  // need GPC release greater or equal than 3.2.0
  if(CommonPlugin::checkGPCRelease(3,2,0))
  {
    include_once('cstat_install.class.inc.php');
    $gpc_installed=true;
  }
}

function gpcMsgError(&$errors)
{
  global $gpcNeeded;
  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), $gpcNeeded);
  if(is_array($errors))
  {
    array_push($errors, $msg);
  }
  else
  {
    $errors=Array($msg);
  }
}
// -----------------------------------------------------------------------------




load_language('plugin.lang', CSTAT_PATH);


function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpc_installed, $gpcNeeded;

  if($gpc_installed)
  {
    $obj = new CStat_Install($prefixeTable, __FILE__);
    $result=$obj->install();
    if(!$result)
    {
      array_push($errors, "error");
    }
    GPCCore::register($obj->getPluginName(), CSTAT_VERSION, $gpcNeeded);
    GPCRequestBuilder::register($obj->getPluginName(), dirname($obj->getFileLocation()).'/cstat_rb_callback.class.inc.php');
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpc_installed;

  if($gpc_installed)
  {
    $obj = new CStat_Install($prefixeTable, __FILE__);
    $result=$obj->activate();
    if($result===false or $result!='')
    {
      if(is_string($result))
      {
        array_push($errors, $result);
      }
      else
      {
        array_push($errors, "");
      }
    }
  }
  else
  {
    gpcMsgError($errors);
  }
}

function plugin_deactivate($plugin_id)
{
}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpc_installed;

  if($gpc_installed)
  {
    $obj = new CStat_Install($prefixeTable, __FILE__);
    $obj->uninstall();
    GPCRequestBuilder::unregister($obj->getPluginName());
    GPCCore::unregister($obj->getPluginName());
  }
  else
  {
    gpcMsgError($errors);
  }
}


?>
